//-----------Top Path-----------
  //路徑鈕 註冊的function
function main_PathMqttToIoTCloud_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new MqttToIoTCloudSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_MqttToIoTCloudAddNewRow_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.ModuleAddNewRow(that);
	Class = null;
}
//-----------Left List-----------
function main_MqttToIoTCloud_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathMqttToIoTCloud_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/MqttToIoTCloud/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttToIoTCloud/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttToIoTCloud/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttToIoTCloud/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new MqttToIoTCloudUpdatePage();
	Class.Initialization();
	Class = null;
}
//-----------Center-----------
//__________RTU / MQTT JSON 轉換傳輸__________
  //第一頁
function main_MqttToIoTCloudCopyDialogEnabled_click(that, Event)
{
	var Class = new MqttToIoTCloudFirstPage();
	if(Class.IsTickedModule() == false)
	{
		$(that).closest(".Column").find(".Message").eq(0).show();
		return 0;
	}
	$(that).closest(".Column").find(".Message").eq(0).hide();
	Class.CopyDialogEnabled(Event);
	Class = null;
}
function main_MqttToIoTCloudCopyModule_click()
{
	$(".Dialog").find(".Message").show();
	var Class = new MqttToIoTCloudFirstPage();
	Class.CopyModule();
	Class = null;
}
function main_MqttToIoTCloudDeleteModule_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	if(Class.IsTickedModule() == false)
	{
		$(that).closest(".Column").find(".Message").eq(0).show();
		return 0;
	}
	$(that).closest(".Column").find(".Message").eq(0).hide();
	Class.DeleteModule();
	Class = null;
}
function main_MqttToIoTCloudDialogDisabled_click()
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.CopyDialogDisabled();
	Class = null;
}






function main_MqttToIoTCloudShowNextPage_click()
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_MqttToIoTCloudShowPreviousPage_click()
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_MqttToIoTCloudChangeAllCheckbox_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_MqttToIoTCloudConnectChangeAllCheckbox_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.ConnectChangeAllCheckbox(that);
	Class = null;
}
function main_MqttToIoTCloudEditButton_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_MqttToIoTCloudChangeCheckbox_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
function main_MqttToIoTCloudSettingButton_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_MqttToIoTCloudSaveButton_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.SaveButton(that);
	Class = null;
}
function main_MqttToIoTCloudSetConnectionName_click(that)
{
	var Class = new MqttToIoTCloudFirstPage();
	Class.SetConnectionName(that);
	Class = null;
}
  //第二頁
function main_MqttToIoTCloudConfirmButton_click(that)
{
	var Class = new MqttToIoTCloudSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}
function main_MqttToIoTCloudNoConfirmButton_click()
{
	var Class = new MqttToIoTCloudSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_MqttToIoTCloudShowColumn_click()
{
	var Class = new MqttToIoTCloudSecondPage();
	Class.ShowColumn();
	Class = null;
}
function main_MqttToIoTCloudHideColumn_click()
{
	var Class = new MqttToIoTCloudSecondPage();
	Class.HideColumn();
	Class = null;
}
function main_MqttToIoTCloudSecondPageInputDataSetting_click()
{
	var Class = new MqttToIoTCloudSecondPage();
	Class.InputDataSetting();
	Class = null;
}